import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';

import { TuyaButton } from '../../components/React/Buttons/TuyaButton';

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: 'React/TuyaButton',
  component: TuyaButton,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
  },
} as ComponentMeta<typeof TuyaButton>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof TuyaButton> = (args) => <TuyaButton {...args} />;

export const Primary = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Primary.args = {
  primary: true,
  label: 'Button',
};

export const Secondary = Template.bind({});
Secondary.args = {
  label: 'Button sec',
};

export const Large = Template.bind({});
Large.args = {
  size: 'large',
  label: 'Button large',
};

export const Small = Template.bind({});
Small.args = {
  size: 'small',
  label: 'Button small',
};

export const Disabled = Template.bind({});
Disabled.args = {
  primary: true,
  label: 'Disabled',
  disabled: true,
};

export const DisabledSecondary = Template.bind({});
DisabledSecondary.args = {
  label: 'Disabled Sec',
  disabled: true,
};


export const VerticalSquareButton = Template.bind({});
VerticalSquareButton.args = {
  label: 'Vertical Square',
  vertical: true
};

export const VerticalCircleButton = Template.bind({});
VerticalCircleButton.args = {
  label: 'Vertical Circle',
  vertical: true,
  shape: 'circle'
};

export const VerticalSquareButtonDisabled = Template.bind({});
VerticalSquareButtonDisabled.args = {
  label: 'Vertical Square',
  disabled: true,
  vertical: true
};

export const VerticalCircleButtonDisabled = Template.bind({});
VerticalCircleButtonDisabled.args = {
  label: 'Vertical Circle',
  disabled: true,
  vertical: true,
  shape: 'circle'
};