import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { TuyaButton } from "../../components/ReactNative/Buttons/TuyaButton";

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: "ReactNative/TuyaButton",
  component: TuyaButton,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    // backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof TuyaButton>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof TuyaButton> = (args) => (
  <TuyaButton {...args} />
);

export const Primary = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Primary.args = {
  primary: true,
  label: "Button",
};

export const Secondary = Template.bind({});
Secondary.args = {
  label: "Button",
};

export const Big = Template.bind({});
Big.args = {
  size: "big",
  label: "Button",
};

export const Small = Template.bind({});
Small.args = {
  label: "Buttones",
};

export const Disabled = Template.bind({});
Disabled.args = {
  primary: true,
  label: "Disabled",
  disabled: true,
};

export const DisabledSecondary = Template.bind({});
DisabledSecondary.args = {
  label: "Disabled Sec",
  disabled: true,
};

export const VerticalSquareButton = Template.bind({});
VerticalSquareButton.args = {
  label: "Vertical Square",
  vertical: true
};

export const VerticalCircleButton = Template.bind({});
VerticalCircleButton.args = {
  label: "Vertical Circle",
  vertical: true,
  shape: 'circle'
};

export const VerticalSquareButtonDisabled = Template.bind({});
VerticalSquareButtonDisabled.args = {
  label: "Vertical Square",
  disabled: true,
  vertical: true
};

export const VerticalCircleButtonDisabled = Template.bind({});
VerticalCircleButtonDisabled.args = {
  label: "Vertical Circle",
  disabled: true,
  vertical: true,
  shape: 'circle'
};


// with icons

export const PrimaryWithIcon = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
PrimaryWithIcon.args = {
  primary: true,
  label: "Button",
  isIconVisible: true,
  iconName: 'IconCloud32Px',
  iconWidth: "1.5rem",
  iconHeight: "1.5rem", 
};

export const SecondaryWithIcon = Template.bind({});
SecondaryWithIcon.args = {
  label: "Button",
  isIconVisible: true,
  iconName: 'IconAjust32Px',
  iconWidth: "1.5rem",
  iconHeight: "1.5rem", 
};

export const VerticalSquareButtonWithIcon = Template.bind({});
VerticalSquareButtonWithIcon.args = {
  label: "Vertical Square",
  vertical: true,
  isIconVisible: true,
  iconName: 'IconBillete32Px',
  iconWidth: "1.5rem",
  iconHeight: "1.5rem", 
};

export const VerticalCircleButtonWithIcon= Template.bind({});
VerticalCircleButtonWithIcon.args = {
  label: "Vertical Circle",
  vertical: true,
  shape: 'circle',
  isIconVisible: true,
  iconName: 'IconCards32Px',
  iconWidth: "1.5rem",
  iconHeight: "1.5rem",  
};
