import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { TuyaInput } from "../../components/ReactNative/Inputs/TuyaInput";

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: "ReactNative/TuyaInput",
  component: TuyaInput,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    // backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof TuyaInput>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof TuyaInput> = (args) => (
  <TuyaInput {...args} />
);

export const DefectoSmall = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
DefectoSmall.args = {
  placeholder: "TuyaInput",
};

export const LlenadoSmall = Template.bind({});
LlenadoSmall.args = {
  placeholder: "TuyaInput",
  value: 'Tuya'
};


export const DefectoBig = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
DefectoBig.args = {
  size: 'big',
  placeholder: "TuyaInput",
};

export const LlenadoBig = Template.bind({});
LlenadoBig.args = {
  placeholder: "TuyaInput",
  value: 'Tuya big',
  size: 'big'
};


export const DisabledSmall = Template.bind({});
DisabledSmall.args = {
  placeholder: "Disabled",
  disabled: true,
};


export const Error = Template.bind({});
Error.args = {
  placeholder: "error input",
  error: true,
  value: 'not valid',
  errMsg: 'Error al enviar la informacion'
};

export const InputWithIconOutsideLeft = Template.bind({});
InputWithIconOutsideLeft.args = {
  placeholder: "input",
  value: 'icon to the left out',
  iconOutsideLeftName: 'IconAjust32Px'
};

export const InputWithIconInsideRight = Template.bind({});
InputWithIconInsideRight.args = {
  placeholder: "input",
  value: 'icon to the right in',
  iconInsideRightName: 'IconFunShare22Px'
};




