/** @type {import('tailwindcss').Config} */
module.exports = {
  mode: 'jit',
  content: [
    "./screens/**/*.{js,jsx,ts,tsx}",
    './pages/**/*.{html,js}',
    './src/components/****/*.{js,jsx,ts,tsx, html}',
    './src/components/React/**/*.{js,jsx,ts,tsx, html}',
    './src/components/ReactNative/**/*.{js,jsx,ts,tsx, html}',
    "./App.{js,jsx,ts,tsx}", 
    "./screens/**/*.{js,jsx,ts,tsx}",
    "./src/**/*.{js,jsx,ts,tsx}",
  ],
  theme: {
    extend: {
      colors:{
        'tuya-red': '#ED1C29',
        'tuya-gray': "#F4F4F4",
        "red-tuya": '#ED1C29',
        "blanco": '#FFFFFF',
        "negro-txt-tuya": '#3D4657',
        "material-tuya": '#F4F4F4',
        "highlight-tuya": '#FAFAFA',
        "error-tuya": '#B5000C',
        "positivo-tuya": '#659F00',
        "informativo-tuya": '#77C3CD',
        "naranja-tuya-1": '#FF9F00',
        "naranja-tuya-2": '#F39C3B',
        "amarillo-tuya": '#FFE100',
        "gris-tuya": '#F3F0F0',
        "azul-tuya": '#C9E4DC',
        "verde-tuya": '#B7D433',
        "violeta-tuya-1": '#D0C9D6',
        "violeta-tuya-2": '#3F3356',
        "grisbajo-tuya-10": '#0000001A',
        "grisbajo-tuya-16": '#00000029',
        "grismedio-tuya-24": '#0000003D',
        "grismedio-tuya-32": '#00000052',
        "negro-tuya": '#000000',
        "negro-tuya-64": '#000000A3',
        "guia-tuya": '#00FFE2AC',
      },
      opacity: {
        '32': '.32',
        '52': '.52'
      },
      margin: {
        '2.25': '9px',
        '2.75': '11px',
      },
      padding: {
        '2.75': '11px'
      },
      boxShadow: {
        'inset-tuya': 'inset 0.313rem 0.313rem 0.625rem #dcdcdc, inset -0.625rem -0.625rem 1.25rem #fff',
        'btn': '-5px -5px 8px #fff, 5px 5px 8px #0000001a !important',
      },
      width:{
        '90/100': '90%',
      },
      minWidth: {
        '118': '118px',
        '152': '152px',
        '287': '287px',
      }
    },
  },
  plugins: [require('tailwindcss-neumorphism')],
}
